package drawing;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Point;

public class Rectangle extends Shape {

	int width;
	int height;
	
	public Rectangle(Point origin, int width, int height, Color color, int velocity){
		super(origin,color,velocity);
		this.width = width;
		this.height = height;
	}
	
	
	public boolean isOn(Point p) {
		return(p.x > origin.x && p.x < origin.x+width && p.y > origin.y && p.y < origin.y+height);
	}

	public boolean touchLine(Point p1, Point p2){
		// TODO : implementer cette methode
		return false;
	}
	
	public void paint(Graphics g) {
		g.setColor(color);
		g.fillRect(origin.x, origin.y, width, height);
		g.setColor(Color.BLACK);
		g.drawRect(origin.x, origin.y, width, height);
	}
}
