package drawing;

import java.awt.Color;
import java.util.Random;

public class RectangleButtonListener extends ShapeButtonListener {

	public RectangleButtonListener(Drawing drawing){
		super(drawing);
	}
	
	@Override
	protected Shape createShape() {
		double width = Math.abs(destination.getX()-origin.getX());
		double height = Math.abs(destination.getY()-origin.getY());
		Random r = new Random();
		Color color = new Color(r.nextInt(256), r.nextInt(256), r.nextInt(256));
		int velocity = r.nextInt(5)+2;
		Rectangle rect = new Rectangle(origin, (int)width, (int)height, color, velocity);
		return rect;
	}

}
